Method: users.ingest

Uploads a list of users to the provided destinations. Unlike audienceMembers.ingest (which adds users to specific advertiser audience lists for targeting), users.ingest ingests account level identity linkage data (for example, user identifiers linked to mobile IDs) independent of specific audience segments.

This feature is only available to accounts on an allowlist.

HTTP request

POST https://datamanager.googleapis.com/v1/users:ingest

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "destinations": [
    {
      object (Destination)
    }
  ],
  "users": [
    {
      object (User)
    }
  ],
  "encryptionInfo": {
    object (EncryptionInfo)
  },
  "validateOnly": boolean,
  "encoding": enum (Encoding)
}
Fields
destinations[]

object (Destination)

Required. The list of possible ingestion destinations.

users[]

object (User)

Required. The list of users to ingest.

encryptionInfo

object (EncryptionInfo)

Optional. Encryption information about encryption keys which are used to encrypt the data.

validateOnly

boolean

Optional. If true, the request is validated but not executed.

encoding

enum (Encoding)

Required. The encoding type of the user identifiers. For encrypted user identifiers, this only applies to the outer encoding.

Response body

Response from the IngestUsersRequest.

If successful, the response body contains data with the following structure:

JSON representation
{
  "requestId": string
}
Fields
requestId

string

The generated request id of the Ingestion Request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/datamanager

User

Represents a single user, containing identifiers like PII and mobile device IDs that all refer to the same user.

JSON representation
{
  "userData": {
    object (UserData)
  },
  "mobileData": {
    object (MobileData)
  }
}
Fields
userData

object (UserData)

Required. Multiple pieces of user-provided data, used as the means of identifying the user.

mobileData

object (MobileData)

Required. Multiple mobile device ID strings to represent a single user.